## aHR0cHM6Ly9naXRodWIuY29tL3ZkbS1tL3JhbHBoL2FyY2hpdmUvcmVmcy90YWdzLzIwMjEwOTIyLjEuemlw

=== Makefile ===
TEST?=ralph
TEST_ARGS=
DOCKER_REPO_NAME?="allegro"
RALPH_VERSION?=$(shell git describe --abbrev=0)

.PHONY: test flake clean coverage docs coveralls

# release-new-version is used by ralph mainteiners prior to publishing
# new version of the package. The command generates the debian changelog
# commits it and tags the created commit with the appropriate snapshot version.
release-new-version: new_version = $(shell ./get_version.sh generate)
release-new-version:
	docker build \
		--force-rm \
		-f docker/Dockerfile-deb \
		--build-arg GIT_USER_NAME="$(shell git config user.name)" \
		--build-arg GIT_USER_EMAIL="$(shell git config user.email)" \
		-t ralph-deb:latest .
	docker run --rm -it -v $(shell pwd):/volume ralph-deb:latest release-new-version
	docker image rm --force ralph-deb:latest
	git add debian/changelog
	git commit -S -m "Updated changelog for $(new_version) version."
	git tag -m $(new_version) -a $(new_version) -s

# build-package builds a release version of the package using the generated
# changelog and the tag.
build-package:
	docker build --force-rm -f docker/Dockerfile-deb -t ralph-deb:latest .
	docker run --rm -v $(shell pwd):/volume ralph-deb:latest build-package
	docker image rm --force ralph-deb:latest

# build-snapshot-package renerates a snapshot changelog and uses it to build
# snapshot version of the package. It is mainly used for testing.
build-snapshot-package:
	docker build --force-rm -f docker/Dockerfile-deb -t ralph-deb:latest .
	docker run --rm -v $(shell pwd):/volume ralph-deb:latest build-snapshot-package
	docker image rm --force ralph-deb:latest

build-docker-image:
	docker build \
		--no-cache \
		-f docker/Dockerfile-prod \
		--build-arg RALPH_VERSION="$(RALPH_VERSION)" \
		-t $(DOCKER_REPO_NAME)/ralph:latest \
		-t "$(DOCKER_REPO_NAME)/ralph:$(RALPH_VERSION)" .
	docker build \
		--no-cache \
		-f docker/Dockerfile-static \
		--build-arg RALPH_VERSION="$(RALPH_VERSION)" \
		-t $(DOCKER_REPO_NAME)/ralph-static-nginx:latest \
		-t "$(DOCKER_REPO_NAME)/ralph-static-nginx:$(RALPH_VERSION)" .

build-snapshot-docker-image: version = $(shell ./get_version.sh show)
build-snapshot-docker-image: build-snapshot-package
	docker build \
		-f docker/Dockerfile-prod \
		--build-arg RALPH_VERSION="$(version)" \
		--build-arg SNAPSHOT="1" \
		-t $(DOCKER_REPO_NAME)/ralph:latest \
		-t "$(DOCKER_REPO_NAME)/ralph:$(version)" .
	docker build \
		-f docker/Dockerfile-static \
		--build-arg RALPH_VERSION="$(version)" \
		-t "$(DOCKER_REPO_NAME)/ralph-static-nginx:$(version)" .

publish-docker-image: build-docker-image
	docker push $(DOCKER_REPO_NAME)/ralph:$(RALPH_VERSION)
	docker push $(DOCKER_REPO_NAME)/ralph:latest
	docker push $(DOCKER_REPO_NAME)/ralph-static-nginx:$(RALPH_VERSION)
	docker push $(DOCKER_REPO_NAME)/ralph-static-nginx:latest

install-js:
	npm install
	./node_modules/.bin/gulp

js-hint:
	find src/ralph|grep "\.js$$"|grep -v vendor|xargs ./node_modules/.bin/jshint;

install: install-js
	pip3 install -r requirements/prod.txt

install-test:
	pip3 install -r requirements/test.txt

install-dev:
	pip3 install -r requirements/dev.txt

install-docs:
	pip3 install -r requirements/docs.txt

isort:
	isort --diff --recursive --check-only --quiet src

test: clean
	test_ralph test $(TEST) $(TEST_ARGS)

flake: isort
	flake8 src/ralph
	flake8 src/ralph/settings --ignore=F405 --exclude=*local.py
	@cat scripts/flake.txt

clean:
	find . -name '*.py[cod]' -exec rm -rf {} \;

coverage: clean
	coverage run $(shell which test_ralph) test $(TEST) -v 2 --keepdb --settings="ralph.settings.test"
	coverage report

docs: install-docs
	mkdocs build

run:
	dev_ralph runserver_plus 0.0.0.0:8000

menu:
	ralph sitetree_resync_apps

translate_messages:
	ralph makemessages -a

compile_messages:
	ralph compilemessages

=== debian/changelog ===
ralph (20210922.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * wait for deb in packagecloud before docker build (#3663)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 22 Sep 2021 10:39:54 +0000

ralph (20210921.3) bionic; urgency=medium

  [ Szymon Jasinski ]
  * use proper Ralph version (#3662)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 21 Sep 2021 11:40:23 +0000

ralph (20210921.2) bionic; urgency=medium

  [ Szymon Jasinski ]
  * verify github ref (#3661)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 21 Sep 2021 08:03:37 +0000

ralph (20210921.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * publish docker images the new way (#3660)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 21 Sep 2021 05:55:01 +0000

ralph (20210908.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Added property of for simcards. (#3657)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 08 Sep 2021 09:34:06 +0000

ralph (20210706.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * openstack sync - remove projects from processed provider only (#3648)
  * Intellectual property labels (#3649)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 06 Jul 2021 09:53:08 +0000

ralph (20210629.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * New transition (#3644)

  [ Szymon Jasinski ]
  * intellectual property: designs and patents (#3647)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 29 Jun 2021 08:12:49 +0000

ralph (20210615.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Fixed search list, changed filters, added new column to list_display. (#3639)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 15 Jun 2021 13:59:33 +0000

ralph (20210525.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * fix vip update event (#3636)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 25 May 2021 10:00:03 +0000

ralph (20210524.2) bionic; urgency=medium

  [ Szymon Jasinski ]
  * trigger dockerhub build when publishing new release (#3635)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 24 May 2021 11:34:41 +0000

ralph (20210524.1) bionic; urgency=medium

  [ mzdeb ]
  * Feature/update vip event support (#3608)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 24 May 2021 10:18:28 +0000

ralph (20210521.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Calculate free used accessory (#3621)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Fri, 21 May 2021 09:41:58 +0000

ralph (20210517.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * Documentation update (#3633)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 17 May 2021 08:27:16 +0000

ralph (20210513.2) bionic; urgency=medium

  [ Szymon Jasinski ]
  * push packages to packagecloud - add missing sudo (#3631)
  * docker build from packagecloud (#3632)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Thu, 13 May 2021 13:22:50 +0000

ralph (20210513.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * push packages to packagecloud (#3629)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Thu, 13 May 2021 12:08:17 +0000

ralph (20210512.1) bionic; urgency=medium

  [ Aleksander Wieckowski ]
  * Add fields to LicenceUserSerializer

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 12 May 2021 15:51:54 +0000

ralph (20210510.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Changed manufacturer and accessory_type - to be picked from table. (#3617)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 10 May 2021 14:08:32 +0000

ralph (20210507.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Label name change (#3618)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Fri, 07 May 2021 08:10:32 +0000

ralph (20210426.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * asset buyout delay months (#3625)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 26 Apr 2021 08:42:56 +0000

ralph (20210423.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * get buyout related setting from environment (#3622)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Fri, 23 Apr 2021 20:01:15 +0000

ralph (20210422.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * fix buyout ticket (#3620)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Thu, 22 Apr 2021 06:57:55 +0000

ralph (20210421.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Added a condition for the buyout ticket link.  (#3612)

  [ Szymon Jasinski ]
  * Allow buyout date change (#3619)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 21 Apr 2021 14:40:54 +0000

ralph (20210401.1) bionic; urgency=medium

  [ Pawel Szulc ]
  * Fix import to prevent 500 on MAC validation (#3615)
  * Remove Sentry logging for JS (#3614)

 -- Marek Bleschke <marek.bleschke@allegro.pl>  Thu, 01 Apr 2021 11:28:25 +0000

ralph (20210324.1) bionic; urgency=medium

  [ Aleksander Wieckowski ]
  * Add backoffice status - to find

 -- Marek Bleschke <marek.bleschke@allegro.pl>  Wed, 24 Mar 2021 07:08:02 +0000

ralph (20210309.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Introducing Backoffice Accessories managment. (#3548)

  [ Aleksander Wieckowski ]
  * Add Google Tag Manager tag
  * Fix tag url

  [ Pawel Szulc ]
  * Add explicit logger
  * Reraise original error

  [ Aleksander Wieckowski ]
  * Fix unequivocal variable names
  * Fix flake8

  [ Pawel Szulc ]
  * Use arguments in logger.error and logger.warning instead of direct string formatting
  * info back to warning

 -- Pawel Szulc <pawel.szulc@allegro.pl>  Tue, 09 Mar 2021 13:14:59 +0000

ralph (20210219.1) bionic; urgency=medium

  [ Paweł Szulc ]
  * Log operational error (#3605)

 -- Pawel Szulc <pawel.szulc@allegro.pl>  Fri, 19 Feb 2021 11:36:12 +0000

ralph (20210119.1) bionic; urgency=medium

  * fix form error message format (#3600)
  * change dns api url for ip records (#3601)

 -- Marek Bleschke <marek.bleschke@allegro.pl>  Tue, 19 Jan 2021 08:11:03 +0000

ralph (20210104.1) bionic; urgency=medium

  [ Przemyslaw Bromber ]


=== debian/control ===
Source: ralph
Section: python
Priority: extra
Maintainer: opensource@allegro.pl
Build-Depends: debhelper (>= 9), dh-virtualenv, git, libmysqlclient-dev | default-libmysqlclient-dev, python3 (>=3.6), python3-dev (>=3.6), libffi-dev, nodejs, npm, sed
Standards-Version: 3.9.5

Package: ralph-core
Architecture: amd64
Depends: dpkg (>= 1.16.1), python3 (>=3.6), libmysqlclient20, python3-distutils, debconf ${misc:Pre-Depends}
Description: Ralph is an DCIM/CMDB - asset management for Data Centers/ Back Office.
Homepage: http://ralph.allegrogroup.com
Suggests: mysql-server, redis

=== debian/rules ===
#!/usr/bin/make -f

export DH_VIRTUALENV_INSTALL_ROOT=/opt/ralph

%:
	dh $@ --with python-virtualenv

override_dh_virtualenv:
	npm install
	node_modules/bower/bin/bower --allow-root install
	node_modules/gulp/bin/gulp.js
	dh_virtualenv --python /usr/bin/python3.6 --upgrade-pip-to 19.3.1 --requirements requirements/prod.txt

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params="--ignore-missing-info" --exclude=PIL --exclude=_cffi_backend

override_dh_strip:
	dh_strip --exclude=_cffi_backend --exclude=PIL

override_dh_builddeb:
	dh_builddeb -- --no-uniform-compression
